/*
 * =====================================================================================
 *
 *       Filename:  main.c
 *
 *    Description:  Emulator main loop 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 09:50:34 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */
#include <stdlib.h>

#include "cpu/cpu.h"

long master_clock = 0;

void step() {
    master_clock += 1;
    cpu_step_to(master_clock);

    return;
}

int main() {
    while (1) {
        step();
    }

    return -1;
}

